//	HYPE.documents["1-CED"]

(function HYPE_DocumentLoader() {
	var resourcesFolderName = "1-CED.hyperesources";
	var documentName = "1-CED";
	var documentLoaderFilename = "1ced_hype_generated_script.js";
	var mainContainerID = "1ced_hype_container";

	// find the URL for this script's absolute path and set as the resourceFolderName
	try {
		var scripts = document.getElementsByTagName('script');
		for(var i = 0; i < scripts.length; i++) {
			var scriptSrc = scripts[i].src;
			if(scriptSrc != null && scriptSrc.indexOf(documentLoaderFilename) != -1) {
				resourcesFolderName = scriptSrc.substr(0, scriptSrc.lastIndexOf("/"));
				break;
			}
		}
	} catch(err) {	}

	// Legacy support
	if (typeof window.HYPE_DocumentsToLoad == "undefined") {
		window.HYPE_DocumentsToLoad = new Array();
	}
 
	// load HYPE.js if it hasn't been loaded yet
	if(typeof HYPE_160 == "undefined") {
		if(typeof window.HYPE_160_DocumentsToLoad == "undefined") {
			window.HYPE_160_DocumentsToLoad = new Array();
			window.HYPE_160_DocumentsToLoad.push(HYPE_DocumentLoader);

			var headElement = document.getElementsByTagName('head')[0];
			var scriptElement = document.createElement('script');
			scriptElement.type= 'text/javascript';
			scriptElement.src = resourcesFolderName + '/' + 'HYPE.js?hype_version=160';
			headElement.appendChild(scriptElement);
		} else {
			window.HYPE_160_DocumentsToLoad.push(HYPE_DocumentLoader);
		}
		return;
	}
	
	// handle attempting to load multiple times
	if(HYPE.documents[documentName] != null) {
		var index = 1;
		var originalDocumentName = documentName;
		do {
			documentName = "" + originalDocumentName + "-" + (index++);
		} while(HYPE.documents[documentName] != null);
		
		var allDivs = document.getElementsByTagName("div");
		var foundEligibleContainer = false;
		for(var i = 0; i < allDivs.length; i++) {
			if(allDivs[i].id == mainContainerID && allDivs[i].getAttribute("HYPE_documentName") == null) {
				var index = 1;
				var originalMainContainerID = mainContainerID;
				do {
					mainContainerID = "" + originalMainContainerID + "-" + (index++);
				} while(document.getElementById(mainContainerID) != null);
				
				allDivs[i].id = mainContainerID;
				foundEligibleContainer = true;
				break;
			}
		}
		
		if(foundEligibleContainer == false) {
			return;
		}
	}
	
	var hypeDoc = new HYPE_160();
	
	var attributeTransformerMapping = {b:"i",c:"i",bC:"i",d:"i",aS:"i",M:"i",e:"f",aT:"i",N:"i",f:"d",O:"i",g:"c",aU:"i",P:"i",Q:"i",aV:"i",R:"c",bG:"f",aW:"f",aI:"i",S:"i",bH:"d",l:"d",aX:"i",T:"i",m:"c",bI:"f",aJ:"i",n:"c",aK:"i",bJ:"f",X:"i",aL:"i",A:"c",aZ:"i",Y:"bM",B:"c",bK:"f",bL:"f",C:"c",D:"c",t:"i",E:"i",G:"c",bA:"c",a:"i",bB:"i"};
	
	var resources = {"7":{n:"ced-01.svg",p:1},"3":{n:"ced-05.svg",p:1},"4":{n:"ced-06.svg",p:1},"0":{n:"ced-02.svg",p:1},"5":{n:"ced-07.svg",p:1},"1":{n:"ced-03.svg",p:1},"6":{n:"ced-08.svg",p:1},"2":{n:"ced-04.svg",p:1}};
	
	var scenes = [{x:0,p:"600px",c:"#FFFFFF",v:{"77":{c:146,d:348,I:"None",e:"0.500000",J:"None",K:"None",g:"#DDEEFF",L:"None",M:0,bF:"82",N:0,A:"#A0A0A0",j:"absolute",O:0,k:"div",x:"visible",B:"#A0A0A0",l:"90deg",z:"2",P:0,D:"#A0A0A0",m:"#E9EAE8",C:"#A0A0A0",n:"#FFFFFF",a:14,b:0},"92":{c:-2,d:-2,I:"Dashed",r:"inline",e:"0.000000",J:"Dashed",aW:"0.000000",f:"0deg",K:"Dashed",g:"",L:"Dashed",aX:0,M:1,aY:"0",w:"",N:1,A:"#706F6F",j:"absolute",O:1,k:"div",x:"visible",B:"#706F6F",P:1,z:"44",C:"#706F6F",D:"#706F6F",a:616,b:255},"85":{p:"no-repeat",aL:33,c:30,q:"100% 100%",aM:"85_hover",d:29,r:"inline",aP:"pointer",h:"3",aI:33,j:"absolute",aA:[{timelineIdentifier:"kTimelineDefaultIdentifier",type:7}],x:"visible",k:"div",aJ:33,Q:0,z:"41",aK:33,R:"#000000",S:0,a:71,o:"content-box",T:0,b:499},"40":{o:"content-box",h:"0",p:"no-repeat",a:-5,x:"visible",q:"100% 100%",b:0,j:"absolute",r:"inline",c:497.33999999999997,k:"div",z:"2",d:355,bF:"38"},"78":{c:133,d:348,I:"None",e:"0.500000",J:"None",K:"None",g:"#DDEEFF",L:"None",M:0,bF:"82",N:0,A:"#A0A0A0",j:"absolute",O:0,k:"div",x:"visible",B:"#A0A0A0",l:"90deg",z:"3",P:0,D:"#A0A0A0",m:"#FFFFFE",C:"#A0A0A0",n:"#E9E9E8",a:355,b:0},"63":{o:"content-box",w:"",h:"1",p:"no-repeat",a:0,x:"visible",q:"100% 100%",b:0,j:"absolute",r:"inline",c:32.5,k:"div",z:"1",d:374.16800000000001,bF:"74",e:"1.000000"},"93":{c:-2,d:-2,I:"Dashed",e:"0.000000",J:"Dashed",aW:"0.000000",f:"0deg",K:"Dashed",g:"",L:"Dashed",aX:0,M:1,aY:"0",w:"",N:1,A:"#706F6F",j:"absolute",O:1,k:"div",x:"visible",B:"#706F6F",P:1,z:"45",C:"#706F6F",D:"#706F6F",a:565,b:339},"79":{c:14,d:348,I:"None",e:"0.500000",J:"None",K:"None",g:"#DDEEFF",L:"None",M:0,bF:"82",N:0,A:"#A0A0A0",j:"absolute",O:0,k:"div",x:"visible",B:"#A0A0A0",l:"90deg",z:"1",P:0,D:"#A0A0A0",m:"#D8D9D7",C:"#A0A0A0",n:"#EAEAE9",a:0,b:0},"64":{o:"content-box",w:"",h:"1",p:"no-repeat",a:0,x:"visible",q:"100% 100%",b:0,j:"absolute",r:"inline",c:32.5,k:"div",z:"1",d:374.16800000000001,bF:"69",e:"1.000000",v:"bold"},"94":{c:-2,d:-2,I:"Dashed",e:"0.000000",J:"Dashed",aW:"0.000000",f:"0deg",K:"Dashed",g:"",L:"Dashed",aX:0,M:1,aY:"0",w:"",N:1,A:"#706F6F",j:"absolute",O:1,k:"div",x:"visible",B:"#706F6F",P:1,z:"46",C:"#706F6F",D:"#706F6F",a:618,b:314},"87":{c:-6,d:-2,I:"Dashed",e:"0.000000",J:"Dashed",K:"Dashed",L:"Dashed",M:1,w:"",N:1,A:"#706F6F",x:"visible",j:"absolute",B:"#706F6F",k:"div",O:1,P:1,z:"29",C:"#706F6F",D:"#706F6F",a:409,b:302},"35":{o:"content-box",h:"2",p:"no-repeat",a:-5,x:"visible",q:"100% 100%",b:0,j:"absolute",r:"inline",c:497.33999999999997,k:"div",z:"1",d:355,bF:"37"},"65":{c:19,d:348,I:"None",e:"0.700000",J:"None",K:"None",g:"#DDEEFF",L:"None",M:0,bF:"81",N:0,A:"#A0A0A0",j:"absolute",O:0,k:"div",x:"visible",B:"#A0A0A0",l:"90deg",z:"2",P:0,D:"#A0A0A0",m:"#FFFFFE",C:"#A0A0A0",n:"#E9E9E8",a:14,b:0},"58":{c:-6,d:-2,I:"Dashed",r:"inline",e:"0.000000",J:"Dashed",K:"Dashed",L:"Dashed",M:1,w:"",N:1,A:"#706F6F",x:"visible",j:"absolute",B:"#706F6F",k:"div",O:1,P:1,z:"30",C:"#706F6F",D:"#706F6F",a:309,b:302},"80":{k:"div",x:"visible",c:33,d:348,z:"8",a:599,j:"absolute",b:134},"73":{c:17,d:17,I:"None",e:"1.000000",J:"None",K:"None",g:"#000000",L:"None",M:0,v:"bold",w:"",aI:15,A:"#A0A0A0",j:"absolute",bF:"74",k:"div",N:0,O:0,x:"visible",z:"2",B:"#A0A0A0",D:"#A0A0A0",P:0,C:"#A0A0A0",aK:15,aJ:15,a:8,aL:15,b:16},"66":{c:19,d:348,I:"None",e:"0.700000",J:"None",K:"None",g:"#DDEEFF",L:"None",M:0,bF:"80",N:0,A:"#A0A0A0",j:"absolute",O:0,k:"div",x:"visible",B:"#A0A0A0",l:"90deg",z:"2",P:0,D:"#A0A0A0",m:"#FFFFFE",C:"#A0A0A0",n:"#E9E9E8",a:14,b:0},"89":{c:46,d:-2,I:"Solid",J:"Solid",K:"Solid",g:"#DDEEFF",L:"Solid",M:2,N:2,A:"#ECECED",x:"visible",j:"absolute",B:"#ECECED",P:2,k:"div",O:2,z:"42",C:"#ECECED",D:"#ECECED",a:594,b:303},"81":{k:"div",x:"visible",c:33,d:348,z:"5",a:544,j:"absolute",b:134},"74":{k:"div",x:"visible",c:32.5,d:374.16800000000001,z:"11",r:"inline",a:601,j:"absolute",e:"1.000000",b:492},"37":{k:"div",x:"hidden",c:-7,d:355,z:"28",r:"inline",a:36,j:"absolute",b:130},"67":{c:17,d:17,I:"None",e:"1.000000",J:"None",K:"None",g:"#000000",L:"None",M:0,bF:"69",aI:15,A:"#A0A0A0",x:"visible",j:"absolute",k:"div",N:0,O:0,B:"#A0A0A0",z:"2",P:0,D:"#A0A0A0",C:"#A0A0A0",aK:15,aJ:15,a:8,aL:15,b:16},"82":{k:"div",x:"visible",c:488,d:348,z:"1",a:36,j:"absolute",b:134},"75":{c:14,d:348,I:"None",e:"0.500000",J:"None",K:"None",g:"#DDEEFF",L:"None",M:0,bF:"81",N:0,A:"#A0A0A0",j:"absolute",O:0,k:"div",x:"visible",B:"#A0A0A0",l:"90deg",z:"1",P:0,D:"#A0A0A0",m:"#D7D8D6",C:"#A0A0A0",n:"#FFFFFF",a:0,b:0},"38":{k:"div",x:"hidden",c:-7,d:355,z:"31",r:"inline",a:36,j:"absolute",b:130},"76":{c:14,d:348,I:"None",e:"0.500000",J:"None",K:"None",g:"#DDEEFF",L:"None",M:0,bF:"80",N:0,A:"#A0A0A0",j:"absolute",O:0,k:"div",x:"visible",B:"#A0A0A0",l:"90deg",z:"1",P:0,D:"#A0A0A0",m:"#D7D8D6",C:"#A0A0A0",n:"#FFFFFF",a:0,b:0},"69":{k:"div",x:"visible",c:32.5,d:374.16800000000001,z:"14",r:"inline",a:546,j:"absolute",e:"1.000000",b:492},"24":{o:"content-box",w:"",h:"7",p:"no-repeat",a:0,x:"visible",q:"100% 100%",b:0,j:"absolute",r:"inline",c:772,k:"div",z:"39",d:546},"91":{c:-2,d:-2,I:"Dashed",r:"inline",e:"0.000000",J:"Dashed",aW:"0.000000",f:"0deg",K:"Dashed",g:"",L:"Dashed",aX:0,M:1,aY:"0",w:"",N:1,A:"#706F6F",j:"absolute",O:1,k:"div",x:"visible",B:"#706F6F",P:1,z:"43",C:"#706F6F",D:"#706F6F",a:561,b:221},"84":{p:"no-repeat",aL:33,c:30,q:"100% 100%",aM:"84_hover",d:29,r:"inline",aP:"pointer",h:"4",aI:33,j:"absolute",aA:[{timelineIdentifier:"kTimelineDefaultIdentifier",type:8}],x:"visible",k:"div",aJ:33,Q:0,z:"40",aK:33,R:"#CBCCCB",S:0,a:30,o:"content-box",T:0,b:499}},n:"1",T:{"84_hover":{d:1,i:"84_hover",n:"84_hover",a:[{f:"1",t:0,d:1,i:"S",e:0,s:0,o:"84"},{f:"1",t:0,d:1,i:"T",e:0,s:0,o:"84"},{f:"1",t:0,d:1,i:"Q",e:0,s:0,o:"84"},{f:"1",t:0,d:1,i:"R",e:"#CBCCCB",s:"#CBCCCB",o:"84"},{f:"1",t:0,d:1,i:"aK",e:57,s:33,o:"84"},{f:"1",t:0,d:1,i:"aL",e:57,s:33,o:"84"},{f:"1",t:0,d:1,i:"aI",e:57,s:33,o:"84"},{f:"1",t:0,d:1,i:"aJ",e:57,s:33,o:"84"},{f:"1",t:0,d:1,i:"h",e:"6",s:"4",o:"84"}],f:30},"85_hover":{d:1,i:"85_hover",n:"85_hover",a:[{f:"1",t:0,d:1,i:"S",e:0,s:0,o:"85"},{f:"1",t:0,d:1,i:"T",e:0,s:0,o:"85"},{f:"1",t:0,d:1,i:"Q",e:0,s:0,o:"85"},{f:"1",t:0,d:1,i:"R",e:"#CBCCCB",s:"#000000",o:"85"},{f:"1",t:0,d:1,i:"h",e:"5",s:"3",o:"85"}],f:30},kTimelineDefaultIdentifier:{d:12.06,i:"kTimelineDefaultIdentifier",n:"Main Timeline",a:[{f:"2",t:0,d:0.18,i:"c",e:490,s:-7,o:"37"},{f:"1",t:1,d:0.05,i:"b",e:368,s:492,o:"69"},{f:"1",t:1,d:2.17,i:"c",e:274.358,s:-7,o:"38"},{f:"1",t:1.05,d:0.02,i:"b",e:372,s:368,o:"69"},{f:"1",t:1.07,d:0.03,i:"b",e:350,s:372,o:"69"},{f:"1",t:1.1,d:0.04,i:"b",e:368,s:350,o:"69"},{f:"1",t:1.14,d:0.03,i:"b",e:207,s:368,o:"69"},{f:"1",t:1.15,d:0.04,i:"b",e:271,s:492,o:"74"},{f:"1",t:1.17,d:0.05,i:"b",e:348,s:207,o:"69"},{f:"1",t:1.19,d:0.03,i:"b",e:324,s:271,o:"74"},{f:"1",t:1.22,d:0.02,i:"b",e:278,s:324,o:"74"},{f:"1",t:1.22,d:0.05,i:"b",e:200,s:348,o:"69"},{f:"1",t:1.24,d:0.03,i:"b",e:224,s:278,o:"74"},{f:"1",t:1.27,d:0.04,i:"b",e:285,s:224,o:"74"},{f:"1",t:1.27,d:0.04,i:"b",e:335,s:200,o:"69"},{f:"1",t:2.01,d:0.05,i:"b",e:222,s:285,o:"74"},{f:"1",t:2.01,d:0.05,i:"b",e:191,s:335,o:"69"},{f:"1",t:2.06,d:0.03,i:"b",e:267,s:222,o:"74"},{f:"1",t:2.06,d:0.03,i:"b",e:263,s:191,o:"69"},{f:"1",t:2.09,d:0.04,i:"b",e:289,s:267,o:"74"},{f:"1",t:2.09,d:0.04,i:"b",e:208,s:263,o:"69"},{f:"1",t:2.13,d:0.05,i:"b",e:239,s:289,o:"74"},{f:"1",t:2.13,d:0.09,i:"b",e:361,s:208,o:"69"},{f:"1",t:2.18,d:0.04,i:"b",e:308,s:239,o:"74"},{f:"1",t:2.22,d:0.06,i:"b",e:272,s:308,o:"74"},{f:"1",t:2.22,d:0.06,i:"b",e:245,s:361,o:"69"},{f:"1",t:2.28,d:0.09,i:"b",e:298,s:272,o:"74"},{f:"1",t:2.28,d:0.05,i:"b",e:287,s:245,o:"69"},{f:"1",t:3.03,d:0.1,i:"b",e:191,s:287,o:"69"},{f:"1",t:3.07,d:0.06,i:"b",e:203,s:298,o:"74"},{f:"1",t:3.13,d:0.04,i:"b",e:231.80000000000001,s:203,o:"74"},{f:"1",t:3.13,d:0.04,i:"b",e:197.667,s:191,o:"69"},{f:"1",t:3.17,d:0.1,i:"e",e:"1.000000",s:"0.000000",o:"58"},{f:"1",t:3.17,d:0.1,i:"d",e:428,s:-2,o:"58"},{f:"1",t:3.17,d:0.1,i:"a",e:600,s:616,o:"92"},{f:"1",t:3.17,d:0.1,i:"e",e:"1.000000",s:"0.000000",o:"92"},{f:"1",t:3.17,d:0.1,i:"a",e:546,s:561,o:"91"},{f:"1",t:3.17,d:0.1,i:"e",e:"1.000000",s:"0.000000",o:"91"},{f:"1",t:3.17,d:0.1,i:"c",e:33,s:-2,o:"92"},{f:"1",t:3.17,d:2.04,i:"c",e:274.358,s:274.358,o:"38"},{f:"1",t:3.17,d:0.1,i:"c",e:33,s:-2,o:"91"},{f:"1",t:3.17,d:0.1,i:"b",e:86,s:302,o:"58"},{f:"1",t:3.17,d:2.04,i:"b",e:231.80000000000001,s:231.80000000000001,o:"74"},{f:"1",t:3.17,d:2.04,i:"b",e:197.667,s:197.667,o:"69"},{f:"1",t:3.27,d:1.04,i:"d",e:429,s:428,o:"58"},{f:"1",t:3.27,d:1.19,i:"a",e:600,s:600,o:"92"},{f:"1",t:3.27,d:1.05,i:"e",e:"1.000000",s:"1.000000",o:"58"},{f:"1",t:3.27,d:1.19,i:"a",e:546,s:546,o:"91"},{f:"1",t:3.27,d:1.2,i:"e",e:"1.000000",s:"1.000000",o:"92"},{f:"1",t:3.27,d:1.2,i:"e",e:"1.000000",s:"1.000000",o:"91"},{f:"1",t:3.27,d:1.19,i:"c",e:33,s:33,o:"92"},{f:"1",t:3.27,d:1.19,i:"c",e:33,s:33,o:"91"},{f:"1",t:3.27,d:0.02,i:"b",e:86,s:86,o:"58"},{f:"1",t:3.29,d:0.03,i:"g",e:"#ECECED",s:"#000000",o:"73"},{f:"1",t:3.29,d:0.03,i:"g",e:"#ECECED",s:"#000000",o:"67"},{f:"1",t:3.29,d:0.01,i:"b",e:89,s:86,o:"58"},{f:"1",t:4,d:0.08,i:"b",e:89,s:89,o:"58"},{f:"1",t:4.02,d:0.03,i:"g",e:"#000000",s:"#ECECED",o:"73"},{f:"1",t:4.02,d:0.03,i:"g",e:"#000000",s:"#ECECED",o:"67"},{f:"1",t:4.05,d:0.03,i:"g",e:"#000000",s:"#000000",o:"73"},{f:"1",t:4.05,d:0.03,i:"g",e:"#000000",s:"#000000",o:"67"},{f:"1",t:4.08,d:0.03,i:"g",e:"#ECECED",s:"#000000",o:"67"},{f:"1",t:4.08,d:0.03,i:"g",e:"#ECECED",s:"#000000",o:"73"},{f:"1",t:4.08,d:0.01,i:"b",e:86,s:89,o:"58"},{f:"1",t:4.09,d:0.08,i:"b",e:86,s:86,o:"58"},{f:"1",t:4.11,d:0.03,i:"g",e:"#000000",s:"#ECECED",o:"67"},{f:"1",t:4.11,d:0.03,i:"g",e:"#000000",s:"#ECECED",o:"73"},{f:"1",t:4.14,d:0.03,i:"g",e:"#000000",s:"#000000",o:"67"},{f:"1",t:4.14,d:0.03,i:"g",e:"#000000",s:"#000000",o:"73"},{f:"1",t:4.17,d:0.03,i:"g",e:"#ECECED",s:"#000000",o:"67"},{f:"1",t:4.17,d:0.03,i:"g",e:"#ECECED",s:"#000000",o:"73"},{f:"1",t:4.17,d:0.01,i:"b",e:89,s:86,o:"58"},{f:"1",t:4.18,d:0.08,i:"b",e:89,s:89,o:"58"},{f:"1",t:4.2,d:0.03,i:"g",e:"#000000",s:"#ECECED",o:"67"},{f:"1",t:4.2,d:0.03,i:"g",e:"#000000",s:"#ECECED",o:"73"},{f:"1",t:4.23,d:2.13,i:"g",e:"#000000",s:"#000000",o:"67"},{f:"1",t:4.23,d:2.13,i:"g",e:"#000000",s:"#000000",o:"73"},{f:"1",t:4.26,d:0.01,i:"b",e:86,s:89,o:"58"},{f:"1",t:5.01,d:0.05,i:"d",e:-2,s:429,o:"58"},{f:"1",t:5.02,d:0.04,i:"e",e:"0.000000",s:"1.000000",o:"58"},{f:"1",t:5.16,d:0.05,i:"a",e:618,s:600,o:"92"},{f:"1",t:5.16,d:0.05,i:"a",e:563,s:546,o:"91"},{f:"1",t:5.16,d:0.05,i:"c",e:-2,s:33,o:"92"},{f:"1",t:5.16,d:0.05,i:"c",e:-2,s:33,o:"91"},{f:"1",t:5.17,d:0.04,i:"e",e:"0.000000",s:"1.000000",o:"92"},{f:"1",t:5.17,d:0.04,i:"e",e:"0.000000",s:"1.000000",o:"91"},{f:"1",t:5.21,d:1.03,i:"c",e:374.58600000000001,s:274.358,o:"38"},{f:"1",t:5.21,d:0.01,i:"b",e:239,s:231.80000000000001,o:"74"},{f:"1",t:5.21,d:0.02,i:"b",e:201,s:197.667,o:"69"},{f:"1",t:5.22,d:0.09,i:"b",e:304,s:239,o:"74"},{f:"1",t:5.23,d:0.09,i:"b",e:265,s:201,o:"69"},{f:"1",t:6.01,d:0.06,i:"b",e:275,s:304,o:"74"},{f:"1",t:6.02,d:0.03,i:"b",e:293,s:265,o:"69"},{f:"1",t:6.05,d:0.03,i:"b",e:237,s:293,o:"69"},{f:"1",t:6.07,d:0.05,i:"b",e:324,s:275,o:"74"},{f:"1",t:6.08,d:0.04,i:"b",e:349,s:237,o:"69"},{f:"1",t:6.12,d:0.03,i:"b",e:259,s:324,o:"74"},{f:"1",t:6.12,d:0.03,i:"b",e:208,s:349,o:"69"},{f:"1",t:6.15,d:0.06,i:"b",e:301,s:259,o:"74"},{f:"1",t:6.15,d:0.06,i:"b",e:325,s:208,o:"69"},{f:"1",t:6.21,d:0.03,i:"b",e:291,s:301,o:"74"},{f:"1",t:6.21,d:0.03,i:"b",e:316,s:325,o:"69"},{f:"1",t:6.24,d:0.1,i:"d",e:429,s:-2,o:"87"},{f:"1",t:6.24,d:0.1,i:"a",e:545,s:565,o:"93"},{f:"1",t:6.24,d:0.1,i:"a",e:600,s:618,o:"94"},{f:"1",t:6.24,d:0.1,i:"e",e:"1.000000",s:"0.000000",o:"93"},{f:"1",t:6.24,d:0.1,i:"e",e:"1.000000",s:"0.000000",o:"94"},{f:"1",t:6.24,d:2.04,i:"c",e:374.58600000000001,s:374.58600000000001,o:"38"},{f:"1",t:6.24,d:0.1,i:"c",e:33,s:-2,o:"93"},{f:"1",t:6.24,d:0.1,i:"e",e:"1.000000",s:"0.000000",o:"87"},{f:"1",t:6.24,d:0.1,i:"c",e:33,s:-2,o:"94"},{f:"1",t:6.24,d:2.04,i:"b",e:291,s:291,o:"74"},{f:"1",t:6.24,d:2.04,i:"b",e:316,s:316,o:"69"},{f:"1",t:6.24,d:0.1,i:"b",e:33,s:302,o:"87"},{f:"1",t:7.04,d:1.19,i:"d",e:429,s:429,o:"87"},{f:"1",t:7.04,d:1.19,i:"a",e:545,s:545,o:"93"},{f:"1",t:7.04,d:1.19,i:"a",e:600,s:600,o:"94"},{f:"1",t:7.04,d:1.2,i:"e",e:"1.000000",s:"1.000000",o:"93"},{f:"1",t:7.04,d:1.2,i:"e",e:"1.000000",s:"1.000000",o:"94"},{f:"1",t:7.04,d:1.19,i:"c",e:33,s:33,o:"93"},{f:"1",t:7.04,d:1.19,i:"c",e:33,s:33,o:"94"},{f:"1",t:7.04,d:1.2,i:"e",e:"1.000000",s:"1.000000",o:"87"},{f:"1",t:7.04,d:0.02,i:"b",e:33,s:33,o:"87"},{f:"1",t:7.06,d:0.03,i:"g",e:"#ECECED",s:"#000000",o:"73"},{f:"1",t:7.06,d:0.03,i:"g",e:"#ECECED",s:"#000000",o:"67"},{f:"1",t:7.06,d:0.01,i:"b",e:31,s:33,o:"87"},{f:"1",t:7.07,d:0.08,i:"b",e:31,s:31,o:"87"},{f:"1",t:7.09,d:0.03,i:"g",e:"#000000",s:"#ECECED",o:"73"},{f:"1",t:7.09,d:0.03,i:"g",e:"#000000",s:"#ECECED",o:"67"},{f:"1",t:7.12,d:0.03,i:"g",e:"#000000",s:"#000000",o:"73"},{f:"1",t:7.12,d:0.03,i:"g",e:"#000000",s:"#000000",o:"67"},{f:"1",t:7.15,d:0.03,i:"g",e:"#ECECED",s:"#000000",o:"73"},{f:"1",t:7.15,d:0.03,i:"g",e:"#ECECED",s:"#000000",o:"67"},{f:"1",t:7.15,d:0.01,i:"b",e:33,s:31,o:"87"},{f:"1",t:7.16,d:0.08,i:"b",e:33,s:33,o:"87"},{f:"1",t:7.18,d:0.03,i:"g",e:"#000000",s:"#ECECED",o:"73"},{f:"1",t:7.18,d:0.03,i:"g",e:"#000000",s:"#ECECED",o:"67"},{f:"1",t:7.21,d:0.03,i:"g",e:"#000000",s:"#000000",o:"73"},{f:"1",t:7.21,d:0.03,i:"g",e:"#000000",s:"#000000",o:"67"},{f:"1",t:7.24,d:0.03,i:"g",e:"#ECECED",s:"#000000",o:"73"},{f:"1",t:7.24,d:0.03,i:"g",e:"#ECECED",s:"#000000",o:"67"},{f:"1",t:7.24,d:0.01,i:"b",e:31,s:33,o:"87"},{f:"1",t:7.25,d:0.08,i:"b",e:31,s:31,o:"87"},{f:"1",t:7.27,d:0.03,i:"g",e:"#000000",s:"#ECECED",o:"73"},{f:"1",t:7.27,d:0.03,i:"g",e:"#000000",s:"#ECECED",o:"67"},{f:"1",t:8.03,d:0.01,i:"b",e:33,s:31,o:"87"},{f:"1",t:8.23,d:0.05,i:"d",e:-2,s:429,o:"87"},{f:"1",t:8.23,d:0.05,i:"a",e:618,s:600,o:"94"},{f:"1",t:8.23,d:0.05,i:"a",e:563,s:545,o:"93"},{f:"1",t:8.23,d:0.05,i:"c",e:-2,s:33,o:"93"},{f:"1",t:8.23,d:0.05,i:"c",e:-2,s:33,o:"94"},{f:"1",t:8.24,d:0.04,i:"e",e:"0.000000",s:"1.000000",o:"93"},{f:"1",t:8.24,d:0.04,i:"e",e:"0.000000",s:"1.000000",o:"94"},{f:"1",t:8.24,d:0.04,i:"e",e:"0.000000",s:"1.000000",o:"87"},{f:"1",t:8.28,d:1.08,i:"c",e:490,s:374.58600000000001,o:"38"},{f:"1",t:8.28,d:0.06,i:"b",e:325,s:291,o:"74"},{f:"1",t:8.28,d:0.06,i:"b",e:358,s:316,o:"69"},{f:"1",t:9.04,d:0.05,i:"b",e:242,s:325,o:"74"},{f:"1",t:9.04,d:0.04,i:"b",e:191,s:358,o:"69"},{f:"1",t:9.08,d:0.1,i:"b",e:320,s:191,o:"69"},{f:"1",t:9.09,d:0.09,i:"b",e:482,s:242,o:"74"},{f:"1",t:9.18,d:0.04,i:"b",e:310,s:320,o:"69"},{f:"1",t:9.22,d:0.03,i:"b",e:314,s:310,o:"69"},{f:"1",t:9.25,d:0.03,i:"b",e:302,s:314,o:"69"},{f:"1",t:9.28,d:0.04,i:"b",e:312,s:302,o:"69"},{f:"1",t:10.02,d:0.04,i:"b",e:308,s:312,o:"69"},{f:"1",t:12.06,p:2,d:0,i:"Actions",s:[{timelineIdentifier:"kTimelineDefaultIdentifier",type:9,goToTime:0}],o:"kTimelineDefaultIdentifier"}],f:30}},o:"1"}];
	
	var javascripts = [];
	
	var functions = {};
	var javascriptMapping = {};
	for(var i = 0; i < javascripts.length; i++) {
		try {
			javascriptMapping[javascripts[i].identifier] = javascripts[i].name;
			eval("functions." + javascripts[i].name + " = " + javascripts[i].source);
		} catch (e) {
			hypeDoc.log(e);
			functions[javascripts[i].name] = (function () {});
		}
	}
	
	hypeDoc.setAttributeTransformerMapping(attributeTransformerMapping);
	hypeDoc.setResources(resources);
	hypeDoc.setScenes(scenes);
	hypeDoc.setJavascriptMapping(javascriptMapping);
	hypeDoc.functions = functions;
	hypeDoc.setCurrentSceneIndex(0);
	hypeDoc.setMainContentContainerID(mainContainerID);
	hypeDoc.setResourcesFolderName(resourcesFolderName);
	hypeDoc.setShowHypeBuiltWatermark(0);
	hypeDoc.setShowLoadingPage(false);
	hypeDoc.setDrawSceneBackgrounds(true);
	hypeDoc.setGraphicsAcceleration(true);
	hypeDoc.setDocumentName(documentName);

	HYPE.documents[documentName] = hypeDoc.API;
	document.getElementById(mainContainerID).setAttribute("HYPE_documentName", documentName);

	hypeDoc.documentLoad(this.body);
}());

